Gecode::Int::Channel::DomInfo< View, Offset > Class Template Reference

Combine view with information for domain propagation. More...

`#include <dom.hpp>`

## Public Member Functions

void | init (View x, int n)
| Initialize.
void | update (Space &home, DomInfo< View, Offset > &vcb)
| Update during cloning.
bool | doval (void) const
| Check whether propagation for assignment is to be done.
bool | dodom (void) const
| Check whether propagation for domain is to be done.
void | assigned (void)
| Record that view got assigned.
void | removed (int i)
| Record that one value got removed.
void | done (Offset &o)
| Update the size and bounds information after pruning.

## Public Attributes

View | view
| The view.
unsigned int | size
| Last propagated size.
int | min
| Last propagated minimum.
int | max
| Last propagated maximum.

## Detailed Description

template<class View, class Offset>
class Gecode::Int::Channel::DomInfo< View, Offset >

Combine view with information for domain propagation.

Definition at line 45 of file dom.hpp.

## Member Function Documentation

## init()

template<class View, class Offset>

void Gecode::Int::Channel::DomInfo< View, Offset >::init | ( | View | x,
|  | int | n )

inline

Initialize.

Definition at line 73 of file dom.hpp.

## update()

template<class View, class Offset>

void Gecode::Int::Channel::DomInfo< View, Offset >::update | ( | Space & | home,
|  | DomInfo< View, Offset > & | vcb )

inline

Update during cloning.

Definition at line 82 of file dom.hpp.

## doval()

template<class View, class Offset>

bool Gecode::Int::Channel::DomInfo< View, Offset >::doval | ( | void |  | ) | const

inline

Check whether propagation for assignment is to be done.

Definition at line 91 of file dom.hpp.

## dodom()

template<class View, class Offset>

bool Gecode::Int::Channel::DomInfo< View, Offset >::dodom | ( | void |  | ) | const

inline

Check whether propagation for domain is to be done.

Definition at line 97 of file dom.hpp.

## assigned()

template<class View, class Offset>

void Gecode::Int::Channel::DomInfo< View, Offset >::assigned | ( | void |  | ) |

inline

Record that view got assigned.

Definition at line 103 of file dom.hpp.

## removed()

template<class View, class Offset>

void Gecode::Int::Channel::DomInfo< View, Offset >::removed | ( | int | i | ) |

inline

Record that one value got removed.

Definition at line 109 of file dom.hpp.

## done()

template<class View, class Offset>

void Gecode::Int::Channel::DomInfo< View, Offset >::done | ( | Offset & | o | ) |

inline

Update the size and bounds information after pruning.

Definition at line 119 of file dom.hpp.

## Member Data Documentation

## view

template<class View, class Offset>

View Gecode::Int::Channel::DomInfo< View, Offset >::view

The view.

Definition at line 48 of file dom.hpp.

## size

template<class View, class Offset>

unsigned int Gecode::Int::Channel::DomInfo< View, Offset >::size

Last propagated size.

Definition at line 50 of file dom.hpp.

## min

template<class View, class Offset>

int Gecode::Int::Channel::DomInfo< View, Offset >::min

Last propagated minimum.

Definition at line 52 of file dom.hpp.

## max

template<class View, class Offset>

int Gecode::Int::Channel::DomInfo< View, Offset >::max

Last propagated maximum.

Definition at line 54 of file dom.hpp.

The documentation for this class was generated from the following files:

- gecode/int/channel.hh
- gecode/int/channel/dom.hpp